org.apache.ignite.internal.sql.optimizer.affinity

## Class PartitionClientContext

- java.lang.Object
- - org.apache.ignite.internal.sql.optimizer.affinity.PartitionClientContext

    public class PartitionClientContext
    extends Object

Client context. Passed to partition resolver on thin clients.

### Constructor Summary

Constructors
Constructor and Description
`PartitionClientContext(int parts)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable Integer` `partition(Object arg, @Nullable PartitionParameterType typ)` Resolve partition.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PartitionClientContext

    public PartitionClientContext(int parts)

Constructor.

Parameters:
  `parts` - Partitions count.

### Method Detail

#### partition

    @Nullable
    public @Nullable Integer partition(Object arg,
                                                 @Nullable
                                                 @Nullable PartitionParameterType typ)

Resolve partition.

Parameters:
  `arg` - Argument.
  `typ` - Type.
Returns:
  Partition or `null` if cannot be resolved.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022